import processing.net.*;
import processing.serial.*;

String inString;
int charvalue;


// The serial stuff
String portname = "/dev/tty.usbserial-A3000YYI"; 
Serial myPort;

String buf="";
int cr = 13;  // ASCII return   == 13 //
int lf = 10;  // ASCII linefeed == 10 //

int val = 0;
int NEWLINE = 10;
int s = 5;
String temp = "";
float temporary = 0.0;

float pot1val;
float pot2val;
float knockval;

// the Network stuff 
int port = 9001; 
Server myServer; 

//variables for sending 
byte eol = 0; 
int total = 1; 
int total2 = 2; 
 
void setup(){ 
  size(200, 200); 
  myServer = new Server(this, port);
  myPort = new Serial(this, portname, 9600);
  println("set up");
} 
 
void draw() {
}

void serialEvent(Serial p) {  
    inString = (myPort.readString());
    charvalue = inString.charAt(0);
  if(charvalue != NEWLINE) {
    buf += inString;
  } else {
   
   if (buf.length() > 1) {
     
    temp = buf.substring(0, buf.length()-(buf.length()-1)); // this isolates just the beginning sensor identified
      
    if(temp.equals("A") == true) {     //sensor A value
     temp = buf.substring(1, buf.length());
     pot1val = float(temp);
     println("potty1:" + pot1val);
    } 
        
    if(temp.equals("B") == true) {     //sensor B value
     temp = buf.substring(1, buf.length());
     pot2val = float(temp);
     println("potty2:" + pot2val);
    }
    
    if(temp.equals("C") == true) {     //sensor B value
     temp = buf.substring(1, buf.length());
     knockval = float(temp);
     println("Knockout:" + knockval);
    }
    
    myServer.write(pot1val+","+pot2val+","+knockval);
    endTransmission();     
    
    // Clear the value of "buf"
    buf = "";
    
   }
 
  } 
}


void endTransmission() {
  myServer.write(eol);   
}

